FoxData Open API
My License
My License
  1. 1. application Services
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. application Services
      • 1001-App-Basic Info
        POST
      • 1002-App-Extended Info
        POST
      • 1003-App-Visibility Score
        POST
      • 1004-App-Apps by Same Developer
        POST
      • 1005-App-Ranking History
        POST
      • 1006-App-Featured Recommendations
        POST
      • 1007-App-Ratings & Reviews
        POST
      • 1008-App-Version History
        POST
      • 1009-App-Competitor Comparison
        POST
      • 1010-App-Competitor Bidding
        POST
      • 1011-App-Covered Keywords
        POST
      • 1012-App-Keyword Expansion
        POST
      • 1013-App-Bidding Keywords
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Initiation
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Retrieval
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Data Retrieval
        POST
      • 1015-App-CPP Ad Creatives
        POST
      • 1016-App-App Tags
        POST
      • 1017-App-Download & Revenue Estimates
        POST
      • 1018-App-Smart Keyword Recommendations
        POST
      • 1019-App-Active Users
        POST
      • 1020-App-Basic Info (Advanced)
        POST
      • 1021-App-CPP Keywords
        POST
    • 2. Market Services
      • 2001-Market-Realtime Charts
      • 2002-Market-Global Chart Analysis
      • 2003-Market-Search Volume Charts
      • 2004-Market-Download & Revenue Charts
      • 2005-Market-Active Users & Customers
      • 2006-Market-App Release Monitoring
      • 2007-Market-Cleared Keyword Monitoring
      • 2008-Market-Cleared Ranking Monitoring
      • 2009-Market-App Delisting Monitoring
    • 3. ASA Services
      • 3001-Ad-Bidding Apps
      • 3002-Ad-Bidding Keywords
      • 3003-Ad-Bidding Keyword Analysis
      • 3004-Ad-CPPs
      • 3005-ASA Tab Rate Task
      • 3005-ASA Tab Rate Result
    • 4. Kerword research Services
      • 4001-Keyword Search
      • 4002-Keyword Expansion
      • 4003-Keyword Search Details
      • 4004-App-App Keywords
    • 9. Other Services
      • 9001-Paginated Query API
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 1. application Services

1012-App-Keyword Expansion

Developing
POST
/keyword/explore
Expand keywords based on app + keyword or app + competitor.

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Body Params application/json

Example
{
  "appId": "480079300",
  "device": "IPHONE",
  "region": "CN",
  "limit": "TOP_200",
  "metrics": [
    "CORRELATION",
    "RANK",
    "VOLUME",
    "RESULTS",
    "TAG",
    "CHANCE",
    "DIFFICULTY",
    "INSTALL"
  ],
  "keyword": "租房",
  "competitorIds": []
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.foxdata.com/apiv1/open-api/keyword/explore' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "appId": "480079300",
  "device": "IPHONE",
  "region": "CN",
  "limit": "TOP_200",
  "metrics": [
    "CORRELATION",
    "RANK",
    "VOLUME",
    "RESULTS",
    "TAG",
    "CHANCE",
    "DIFFICULTY",
    "INSTALL"
  ],
  "keyword": "租房",
  "competitorIds": []
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
  "requestParam": {
    "appId": "480079300",
    "region": "CN",
    "keyword": "租房",
    "competitorIds": [],
    "limit": "TOP_200",
    "device": "IPHONE",
    "metrics": [
      "CORRELATION",
      "RANK",
      "VOLUME",
      "RESULTS",
      "TAG",
      "CHANCE",
      "DIFFICULTY",
      "INSTALL"
    ]
  },
  "result": {
    "dates": [
      "2025-11-29",
      "2025-11-30",
      "2025-12-01"
    ],
    "appInfoMap": {
      "282614216": {
        "appName": "eBay 在线购物与交易平台",
        "icon": "/Purple211/v4/36/c0/c4/36c0c492-bde2-897b-5f9e-b30f4553c274/AppIcon-0-0-1x_U007epad-0-1-0-85-220.png/88x88w.png"
      },
      "284882215": {
        "appName": "Facebook",
        "icon": "/Purple211/v4/7a/01/59/7a01597f-482a-1736-35fe-9aa0432aadab/Icon-Production-0-0-1x_U007epad-0-1-0-85-220.png/88x88w.png"
      }
    },
    "keywords": [
      {
        "keyword": "58同城",
        "searchResult": {
          "num": 196,
          "appIds": [
            "480079300",
            "1370819508",
            "887314963"
          ]
        },
        "searchVolume": {
          "trend": [
            84,
            83,
            83
          ],
          "num": 83
        },
        "chance": 73,
        "inst": {
          "top5": [
            "480079300",
            "1370819508",
            "887314963",
            "415606289",
            "1347663353"
          ],
          "per": 0.8763,
          "value": 20786
        },
        "rank": {
          "trend": [
            115,
            114,
            110
          ],
          "num": 1
        },
        "diff": 45,
        "tag": {
          "asa": true,
          "brand": true,
          "asaApps": [
            "480079300",
            "415606289",
            "1142110895"
          ],
          "brandApps": [
            "480079300"
          ],
          "metaTypes": [
            "APP_NAME"
          ]
        },
        "relation": 100
      },
      {
        "keyword": "58",
        "searchResult": {
          "num": 202,
          "appIds": [
            "480079300",
            "1445382021",
            "1370819508"
          ]
        },
        "searchVolume": {
          "trend": [
            70,
            70,
            70,
            70,
            70,
            70,
            70
          ],
          "num": 70
        },
        "chance": 75,
        "inst": {
          "top5": [
            "480079300",
            "1445382021",
            "1370819508",
            "887314963",
            "415606289"
          ],
          "per": 0.4362,
          "value": 1245
        },
        "rank": {
          "trend": [
            125,
            125,
            123,
            122,
            121,
            123,
            123
          ],
          "num": 1
        },
        "diff": 43,
        "tag": {
          "asa": true,
          "brand": false,
          "asaApps": [
            "480079300",
            "887314963",
            "1574147199"
          ],
          "metaTypes": [
            "APP_NAME"
          ]
        },
        "relation": 100
      }
    ],
    "iconPrefix": "https://is1-ssl.mzstatic.com/image/thumb"
  },
  "creditsCost": {
    "requestCredits": 0,
    "baseCredits": 500,
    "extraCredits": 0,
    "totalCostCredits": 500
  },
  "next": null
}
Modified at 2026-06-25 05:44:00
Previous
1011-App-Covered Keywords
Next
1013-App-Bidding Keywords
Built with